Get It Done Logo
Get It Done

Get a project

GET/v1/projects/{project_id}

Fetches a single project by id, scoped to the credential's organization. A project id from another organization (or an unknown id) answers 404 `resource_not_found` — no cross-org existence oracle.

Required scopes
projects:read
Availability
All plans
Quota cost
1 API call
Idempotency
Not applicable

Request

Path parameters

FieldTypeDescription
project_idrequiredstring

Response 200

The project.

Fields

FieldTypeDescription
idrequiredstringStable opaque project id.
namerequiredstringDisplay name, unique within the organization.e.g. Website redesign
descriptionrequiredstring | nullFree-text description, or null when unset.
created_atrequiredstring (date-time)Creation time, ISO-8601 UTC.
updated_atrequiredstring (date-time)Last-modified time, ISO-8601 UTC.
Raw response schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "description": "Stable opaque project id."
    },
    "name": {
      "type": "string",
      "description": "Display name, unique within the organization.",
      "example": "Website redesign"
    },
    "description": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "Free-text description, or null when unset."
    },
    "created_at": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
      "description": "Creation time, ISO-8601 UTC."
    },
    "updated_at": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
      "description": "Last-modified time, ISO-8601 UTC."
    }
  },
  "required": [
    "id",
    "name",
    "description",
    "created_at",
    "updated_at"
  ],
  "additionalProperties": false,
  "description": "A project — a named grouping of tasks within an organization."
}

Example request

curl
curl -X GET https://app.nowgetitdone.com/v1/projects/proj_a1b2c3 \
  -H "Authorization: Bearer gid_YOUR_API_KEY"

Possible errors